# ncurses_getmaxyx

(PHP 4 >= 4.3.0, PHP 5 < 5.3.0, PECL ncurses >= 1.0.0)

ncurses_getmaxyx — Returns the size of a window

### Description

ncurses_getmaxyx ( resource `$window` , int `&$y` , int `&$x` ) : void
Warning

This function is EXPERIMENTAL. The behaviour of this function, its name, and surrounding documentation may change without notice in a future release of PHP. This function should be used at your own risk.

Gets the horizontal and vertical size of the given `window` into the given variables.

Variables must be passed as reference, so they are updated when the user changes the terminal size.

### Parameters

`window`

  The measured window

`y`

  This will be set to the window height

`x`

  This will be set to the window width

### Return Values

No value is returned.